Skip to main content
GET
Get administration debtor by id

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Path Parameters

id
string
required

Debtor identifier

Query Parameters

administration_id
string
required

Administration identifier

identifier_type
string

Type of debtor identifier to use (can be 'debtor_number', 'debtor_identifier' or left blank to use internal id)

fields
string

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

Response

Debtor

CustomerApi_V1_DebtorEntity model

debtor_number
string
required

Debtor number

name
string
required

Name

debtor_identifier
string
required

Debtor identifier from accounting software

postal_address
object
required

Postal address

administration_id
string
required

Owning administration identifier

id
string
required

Unique identifier

updated_at
string<date-time>
required

Timestamp at which the debtor was last updated

bank_account_name
string

Name of bank account holder

bank_account_number
string

Bank account number

book_open_amount
string

Open amount in administration currency (request with the 'fields' parameter)

call_phone_number
string

Phone number to call

coc_number
string

CoC number

autogenerated_credit_limit_amount
string

Credit limit amount based on payment behaviour (request with the 'fields' parameter, only available when creditworthiness monitoring with autogenerated credit limits is enabled)

credit_limit_amount
string

Credit limit amount from the accounting package in administration currency

external_credit_limit_amount
string

Credit limit amount based on GraydonCreditsafe (request with the 'fields' parameter, only available when creditworthiness monitoring is enabled)

external_credit_limit_currency_code
string

Credit limit currency code based on GraydonCreditsafe (request with the 'fields' parameter, only available when creditworthiness monitoring is enabled)

debtor_provided_email_address
string

Email address provided by debtor

public_url
string

Link to the debtor portal (request with the 'fields' parameter)

URL to the debtor in the debtor management interface (request with the 'fields' parameter)

primary_email_address
string

Primary email address

invoice_bcc_email_address
string

Invoice BCC email address

invoice_cc_email_address
string

Invoice CC email address

invoice_email_address
string

Invoice email address

internal_note_email_address
string

Internal note email address (request with the 'fields' parameter)

labels
object[]

Labels (request with the 'fields' parameter)

language_code
string

Language used in communication

payment_behaviour
integer<int32>

Payment behaviour (request with the 'fields' parameter)

peppol_identifier
string

Peppol identifier (request with the 'fields' parameter)

relation_manager
string

Relation manager

remark
string

Remark (request with the 'fields' parameter)

reminder_bcc_email_address
string

Reminder BCC email address

reminder_cc_email_address
string

Reminder CC email address

reminder_email_address
string

Reminder email address

sms_phone_number
string

Phone number to send SMS to

vat_number
string

VAT number

peppol_enabled
boolean

Debtor Peppol override (true/false). Null means fallback to administration setting (request with the 'fields' parameter)

paused_at
string<date-time>

Timestamp at which the debtor was paused

reminding_paused_at
string<date-time>

Timestamp at which sending reminders for the debtor was paused

Last modified on August 13, 2026